# CUpti_GraphData Struct Reference
[CUPTI Callback API]

CUDA graphs data passed into a resource callback function. More...

## Data Fields
CUgraphNode | dependency
CUgraph | graph
CUgraphExec | graphExec
CUgraphNode | node
CUgraphNodeType | nodeType
CUgraph | originalGraph
CUgraphNode | originalNode

## Detailed Description

CUDA graphs data passed into a resource callback function as the `cbdata` argument to CUpti_CallbackFunc. The `cbdata` will be this type for `domain` equal to CUPTI_CB_DOMAIN_RESOURCE. The graph data is valid only within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of that data.

## Field Documentation

CUgraphNode CUpti_GraphData::dependency

The dependent graph node The size of the array is

Parameters:

  | numDependencies. |

CUgraph CUpti_GraphData::graph

CUDA graph

CUgraphExec CUpti_GraphData::graphExec

CUDA executable graph

CUgraphNode CUpti_GraphData::node

CUDA graph node

CUgraphNodeType CUpti_GraphData::nodeType

Type of the

Parameters:

  | node |

CUgraph CUpti_GraphData::originalGraph

The original CUDA graph from which

Parameters:

  | graph | is cloned

CUgraphNode CUpti_GraphData::originalNode

The original CUDA graph node from which

Parameters:

  | node | is cloned